diff --git a/containers/jug/profile.d/z11_jug_env.sh b/containers/jug/profile.d/z11_jug_env.sh
index 144bd78d829163ff2e0f2804295ae1d79f51c013..615c48317ade583961f744dff8f273637148cb31 100755
--- a/containers/jug/profile.d/z11_jug_env.sh
+++ b/containers/jug/profile.d/z11_jug_env.sh
@@ -8,7 +8,9 @@ if [ ! -z ${ATHENA_PREFIX} ]; then
   fi
 fi
 
-set -uo pipefail
-trap 's=$?; echo "$0: Error on line "$LINENO": $BASH_COMMAND"; exit $s' ERR
-IFS=$'\n\t'
-set -E
+## Disabled, as this causes issue with singularity which calls the script
+## through sh instead of bash.
+#set -uo pipefail
+#trap 's=$?; echo "$0: Error on line "$LINENO": $BASH_COMMAND"; exit $s' ERR
+#IFS=$'\n\t'
+#set -E